AOP for Nette Framework Dependency Injection Container

v3.0.0 2021-04-23 17:01 UTC

This package is auto-updated.

Last update: 2021-10-28 11:47:18 UTC


README

badge.svg 68747470733a2f2f62616467656e2e6e65742f636f766572616c6c732f632f6769746875622f636f6e74726962757474652f616f703f63616368653d333030 68747470733a2f2f62616467656e2e6e65742f7061636b61676973742f646d2f636f6e74726962757474652f616f70 68747470733a2f2f62616467656e2e6e65742f7061636b61676973742f762f636f6e74726962757474652f616f70

68747470733a2f2f62616467656e2e6e65742f7061636b61676973742f7068702f636f6e74726962757474652f616f70 68747470733a2f2f62616467656e2e6e65742f6769746875622f6c6963656e73652f636f6e74726962757474652f616f70 68747470733a2f2f62616467656e2e6e65742f62616467652f737570706f72742f6769747465722f6379616e 68747470733a2f2f62616467656e2e6e65742f62616467652f737570706f72742f666f72756d2f79656c6c6f77 68747470733a2f2f62616467656e2e6e65742f62616467652f73706f6e736f722f646f6e6174696f6e732f463936383534

Website 🚀 contributte.org | Contact 👨🏻‍💻 f3l1x.io | Twitter 🐦 @contributte

Usage

To install latest version of contributte/aop use Composer.

composer require contributte/aop

Documentation

For details on how to use this package, check out our documentation.

Versions

All three versions are currently maintained, use version which is supported by your current php version/dependencies. Version 3 Uses new php8 attributes and does not need doctrine annotations at all, if U're on php8 it's highly advised you use v3.

State Version Branch Nette PHP README
dev ^3.0 master 3.0+ >=8.0 README-v3
stable ^2.0 v2 3.0+ >=7.4 README-v2
stable ^1.0 v1 3.0+ >=7.2 README-v1

Development

See how to contribute to this package.

This package is currently maintaining by these authors.

9303856?v=3&s=80

Inspired by Filip Procházka package kdyby/Aop

Consider to support contributte development team. Also thank you for using this package.